
From: Pekka Enberg <penberg@cs.helsinki.fi>

This patch converts kcalloc(1, ...) calls to use the new kzalloc() function.

Signed-off-by: Pekka Enberg <penberg@cs.helsinki.fi>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pci/hotplug/sgi_hotplug.c |    2 +-
 drivers/pci/pci-sysfs.c           |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/pci/hotplug/sgi_hotplug.c~pci-convert-kcalloc-to-kzalloc drivers/pci/hotplug/sgi_hotplug.c
--- devel/drivers/pci/hotplug/sgi_hotplug.c~pci-convert-kcalloc-to-kzalloc	2005-08-06 14:35:16.000000000 -0700
+++ devel-akpm/drivers/pci/hotplug/sgi_hotplug.c	2005-08-06 14:35:16.000000000 -0700
@@ -142,7 +142,7 @@ static int sn_hp_slot_private_alloc(stru
 
 	pcibus_info = SN_PCIBUS_BUSSOFT_INFO(pci_bus);
 
-	bss_hotplug_slot->private = kcalloc(1, sizeof(struct slot),
+	bss_hotplug_slot->private = kzalloc(sizeof(struct slot),
 					    GFP_KERNEL);
 	if (!bss_hotplug_slot->private)
 		return -ENOMEM;
diff -puN drivers/pci/pci-sysfs.c~pci-convert-kcalloc-to-kzalloc drivers/pci/pci-sysfs.c
--- devel/drivers/pci/pci-sysfs.c~pci-convert-kcalloc-to-kzalloc	2005-08-06 14:35:16.000000000 -0700
+++ devel-akpm/drivers/pci/pci-sysfs.c	2005-08-06 14:35:16.000000000 -0700
@@ -356,7 +356,7 @@ pci_create_resource_files(struct pci_dev
 			continue;
 
 		/* allocate attribute structure, piggyback attribute name */
-		res_attr = kcalloc(1, sizeof(*res_attr) + 10, GFP_ATOMIC);
+		res_attr = kzalloc(sizeof(*res_attr) + 10, GFP_ATOMIC);
 		if (res_attr) {
 			char *res_attr_name = (char *)(res_attr + 1);
 
_
